# Paramètre de type information

## Les informations de la configuration

Le paramètre peut être la valeur est issue d'une information de la configuration :

```xml
<param type="information">server_name</param>
```

En YAML :

```yml
param:
- type: information
  text: server_name
```

Dans ce cas, l'information de la configuration "server_name" sera utilisé comme valeur du paramètre.
Si l'information n'existe pas, la paramètre aura la valeur "None".

## Les informations de la cible

Le paramètre peut être la valeur est issue d'une information de la cible du calcul :

```xml
<param type="target_information">test</param>
<param type="target_information">help</param>
```

En YAML :

```yml
param:
- type: target_information
  text: test
- type: target_information
  text: help
```

Dans ce cas, l'information de la configuration "test" ou "help" sera utilisé comme valeur du paramètre.
Si l'information n'existe pas, la paramètre aura la valeur "None".
