from importlib.machinery import SourceFileLoader as _SourceFileLoader
from importlib.util import spec_from_loader as _spec_from_loader, module_from_spec as _module_from_spec
class func:
    pass

def _load_functions(path):
    global _SourceFileLoader, _spec_from_loader, _module_from_spec, func
    loader = _SourceFileLoader('func', path)
    spec = _spec_from_loader(loader.name, loader)
    func_ = _module_from_spec(spec)
    loader.exec_module(func_)
    for function in dir(func_):
        if function.startswith('_'):
            continue
        setattr(func, function, getattr(func_, function))
_load_functions('tests/dictionaries/../eosfunc/test.py')
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_2 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"mandatory", "normal"}))
option_3 = StrOption(name="condition", doc="condition", default="oui", properties=frozenset({"mandatory", "normal"}))
option_5 = StrOption(name="leader", doc="leader", multi=True, default=['a', 'b'], properties=frozenset({"mandatory"}))
option_6 = StrOption(name="follower1", doc="follower1", multi=True, default=Calculation(func.calc_val, Params((), kwargs={'valeur': ParamValue("valfill")})), properties=frozenset({"normal", Calculation(func.calc_value, Params(ParamValue('disabled'), kwargs={'condition': ParamOption(option_5, todict=True, notraisepropertyerror=True), 'expected': ParamValue("a")}))}))
option_7 = StrOption(name="follower2", doc="follower2", multi=True, properties=frozenset({"normal"}))
optiondescription_4 = Leadership(name="leader", doc="leader", children=[option_5, option_6, option_7], properties=frozenset({"normal"}))
optiondescription_1 = OptionDescription(name="general", doc="general", children=[option_2, option_3, optiondescription_4], properties=frozenset({"normal"}))
optiondescription_34 = OptionDescription(name="rougail", doc="Rougail", children=[optiondescription_1])
option_19 = FilenameOption(name="name", doc="name", default="/etc/mailname")
option_18 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_17 = OptionDescription(name="mailname", doc="mailname", children=[option_19, option_18])
optiondescription_17.impl_set_information('source', "mailname")
option_22 = FilenameOption(name="name", doc="name", default="/etc/mailname2")
option_21 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_20 = OptionDescription(name="mailname2", doc="mailname2", children=[option_22, option_21])
optiondescription_20.impl_set_information('engine', "jinja")
optiondescription_20.impl_set_information('source', "mailname2")
optiondescription_16 = OptionDescription(name="files", doc="files", children=[optiondescription_17, optiondescription_20])
option_15 = BoolOption(name="activate", doc="activate", default=True)
option_23 = BoolOption(name="manage", doc="manage", default=True)
optiondescription_36 = OptionDescription(name="test_service", doc="test.service", children=[optiondescription_16, option_15, option_23])
optiondescription_36.impl_set_information('type', "service")
optiondescription_35 = OptionDescription(name="services", doc="services", children=[optiondescription_36], properties=frozenset({"hidden"}))
optiondescription_33 = OptionDescription(name="1", doc="1", children=[optiondescription_34, optiondescription_35])
option_9 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"mandatory", "normal"}))
option_10 = StrOption(name="condition", doc="condition", default="oui", properties=frozenset({"mandatory", "normal"}))
option_12 = StrOption(name="leader", doc="leader", multi=True, default=['a', 'b'], properties=frozenset({"mandatory"}))
option_13 = StrOption(name="follower1", doc="follower1", multi=True, default=Calculation(func.calc_val, Params((), kwargs={'valeur': ParamValue("valfill")})), properties=frozenset({"normal", Calculation(func.calc_value, Params(ParamValue('disabled'), kwargs={'condition': ParamOption(option_12, todict=True, notraisepropertyerror=True), 'expected': ParamValue("a")}))}))
option_14 = StrOption(name="follower2", doc="follower2", multi=True, properties=frozenset({"normal"}))
optiondescription_11 = Leadership(name="leader", doc="leader", children=[option_12, option_13, option_14], properties=frozenset({"normal"}))
optiondescription_8 = OptionDescription(name="general", doc="general", children=[option_9, option_10, optiondescription_11], properties=frozenset({"normal"}))
optiondescription_38 = OptionDescription(name="rougail", doc="Rougail", children=[optiondescription_8])
option_28 = FilenameOption(name="name", doc="name", default="/etc/mailname")
option_27 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_26 = OptionDescription(name="mailname", doc="mailname", children=[option_28, option_27])
optiondescription_26.impl_set_information('source', "mailname")
option_31 = FilenameOption(name="name", doc="name", default="/etc/mailname2")
option_30 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_29 = OptionDescription(name="mailname2", doc="mailname2", children=[option_31, option_30])
optiondescription_29.impl_set_information('engine', "jinja")
optiondescription_29.impl_set_information('source', "mailname2")
optiondescription_25 = OptionDescription(name="files", doc="files", children=[optiondescription_26, optiondescription_29])
option_24 = BoolOption(name="activate", doc="activate", default=True)
option_32 = BoolOption(name="manage", doc="manage", default=True)
optiondescription_40 = OptionDescription(name="test_service", doc="test.service", children=[optiondescription_25, option_24, option_32])
optiondescription_40.impl_set_information('type', "service")
optiondescription_39 = OptionDescription(name="services", doc="services", children=[optiondescription_40], properties=frozenset({"hidden"}))
optiondescription_37 = OptionDescription(name="2", doc="2", children=[optiondescription_38, optiondescription_39])
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_33, optiondescription_37])
