from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_3 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"mandatory", "normal"}))
option_2 = OptionDescription(name="general", doc="general", children=[option_3], properties=frozenset({"normal"}))
option_1 = OptionDescription(name="rougail", doc="rougail", children=[option_2])
option_8 = BoolOption(name="activate", doc="activate", default=True)
option_7 = OptionDescription(name="test_service", doc="test.service", children=[option_8])
option_7.impl_set_information('name', "test")
option_7.impl_set_information('source', "test.service")
option_6 = OptionDescription(name="overrides", doc="overrides", children=[option_7])
option_9 = BoolOption(name="activate", doc="activate", default=True)
option_10 = BoolOption(name="manage", doc="manage", default=True)
option_5 = OptionDescription(name="test", doc="test", children=[option_6, option_9, option_10])
option_14 = BoolOption(name="activate", doc="activate", default=True)
option_13 = OptionDescription(name="test2_service", doc="test2.service", children=[option_14])
option_13.impl_set_information('engine', "jinja")
option_13.impl_set_information('name', "test2")
option_13.impl_set_information('source', "test2.service")
option_12 = OptionDescription(name="overrides", doc="overrides", children=[option_13])
option_15 = BoolOption(name="activate", doc="activate", default=True)
option_16 = BoolOption(name="manage", doc="manage", default=True)
option_11 = OptionDescription(name="test2", doc="test2", children=[option_12, option_15, option_16])
option_4 = OptionDescription(name="services", doc="services", children=[option_5, option_11], properties=frozenset({"hidden"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[option_1, option_4])
